ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.57 by root, Sat Dec 24 12:55:17 2005 UTC vs.
Revision 1.68 by root, Mon Jan 16 09:28:44 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 896 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 897 --enable-iso14755 enable support for extended ISO 14755 modes
899 --enable-frills enable support for rarely used features 898 --enable-frills enable support for rarely used features
900 --enable-24bit enable support for using 24bit visuals if available 899 --enable-24bit enable support for using 24bit visuals if available
901 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 900 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
4097fi 4096fi
4098 4097
4099fi 4098fi
4100 4099
4101 4100
4101echo "$as_me:$LINENO: checking for sched_yield" >&5
4102echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4103if test "${ac_cv_func_sched_yield+set}" = set; then
4104 echo $ECHO_N "(cached) $ECHO_C" >&6
4105else
4106 cat >conftest.$ac_ext <<_ACEOF
4107/* confdefs.h. */
4108_ACEOF
4109cat confdefs.h >>conftest.$ac_ext
4110cat >>conftest.$ac_ext <<_ACEOF
4111/* end confdefs.h. */
4112/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4113 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4114#define sched_yield innocuous_sched_yield
4115
4116/* System header to define __stub macros and hopefully few prototypes,
4117 which can conflict with char sched_yield (); below.
4118 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4119 <limits.h> exists even on freestanding compilers. */
4120
4121#ifdef __STDC__
4122# include <limits.h>
4123#else
4124# include <assert.h>
4125#endif
4126
4127#undef sched_yield
4128
4129/* Override any gcc2 internal prototype to avoid an error. */
4130#ifdef __cplusplus
4131extern "C"
4132{
4133#endif
4134/* We use char because int might match the return type of a gcc2
4135 builtin and then its argument prototype would still apply. */
4136char sched_yield ();
4137/* The GNU C library defines this for functions which it implements
4138 to always fail with ENOSYS. Some functions are actually named
4139 something starting with __ and the normal name is an alias. */
4140#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4141choke me
4142#else
4143char (*f) () = sched_yield;
4144#endif
4145#ifdef __cplusplus
4146}
4147#endif
4148
4149int
4150main ()
4151{
4152return f != sched_yield;
4153 ;
4154 return 0;
4155}
4156_ACEOF
4157rm -f conftest.$ac_objext conftest$ac_exeext
4158if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4159 (eval $ac_link) 2>conftest.er1
4160 ac_status=$?
4161 grep -v '^ *+' conftest.er1 >conftest.err
4162 rm -f conftest.er1
4163 cat conftest.err >&5
4164 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4165 (exit $ac_status); } &&
4166 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4167 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4168 (eval $ac_try) 2>&5
4169 ac_status=$?
4170 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4171 (exit $ac_status); }; } &&
4172 { ac_try='test -s conftest$ac_exeext'
4173 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4174 (eval $ac_try) 2>&5
4175 ac_status=$?
4176 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4177 (exit $ac_status); }; }; then
4178 ac_cv_func_sched_yield=yes
4179else
4180 echo "$as_me: failed program was:" >&5
4181sed 's/^/| /' conftest.$ac_ext >&5
4182
4183ac_cv_func_sched_yield=no
4184fi
4185rm -f conftest.err conftest.$ac_objext \
4186 conftest$ac_exeext conftest.$ac_ext
4187fi
4188echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4189echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4190if test $ac_cv_func_sched_yield = yes; then
4191 :
4192else
4193 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4194echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4195if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4196 echo $ECHO_N "(cached) $ECHO_C" >&6
4197else
4198 ac_check_lib_save_LIBS=$LIBS
4199LIBS="-lrt $LIBS"
4200cat >conftest.$ac_ext <<_ACEOF
4201/* confdefs.h. */
4202_ACEOF
4203cat confdefs.h >>conftest.$ac_ext
4204cat >>conftest.$ac_ext <<_ACEOF
4205/* end confdefs.h. */
4206
4207/* Override any gcc2 internal prototype to avoid an error. */
4208#ifdef __cplusplus
4209extern "C"
4210#endif
4211/* We use char because int might match the return type of a gcc2
4212 builtin and then its argument prototype would still apply. */
4213char sched_yield ();
4214int
4215main ()
4216{
4217sched_yield ();
4218 ;
4219 return 0;
4220}
4221_ACEOF
4222rm -f conftest.$ac_objext conftest$ac_exeext
4223if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4224 (eval $ac_link) 2>conftest.er1
4225 ac_status=$?
4226 grep -v '^ *+' conftest.er1 >conftest.err
4227 rm -f conftest.er1
4228 cat conftest.err >&5
4229 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4230 (exit $ac_status); } &&
4231 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4232 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4233 (eval $ac_try) 2>&5
4234 ac_status=$?
4235 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4236 (exit $ac_status); }; } &&
4237 { ac_try='test -s conftest$ac_exeext'
4238 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4239 (eval $ac_try) 2>&5
4240 ac_status=$?
4241 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4242 (exit $ac_status); }; }; then
4243 ac_cv_lib_rt_sched_yield=yes
4244else
4245 echo "$as_me: failed program was:" >&5
4246sed 's/^/| /' conftest.$ac_ext >&5
4247
4248ac_cv_lib_rt_sched_yield=no
4249fi
4250rm -f conftest.err conftest.$ac_objext \
4251 conftest$ac_exeext conftest.$ac_ext
4252LIBS=$ac_check_lib_save_LIBS
4253fi
4254echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4255echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4256if test $ac_cv_lib_rt_sched_yield = yes; then
4257 LIBS="$LIBS -lrt"
4258fi
4259
4260fi
4261
4262
4263echo "$as_me:$LINENO: checking for sched_yield support" >&5
4264echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4265cat >conftest.$ac_ext <<_ACEOF
4266/* confdefs.h. */
4267_ACEOF
4268cat confdefs.h >>conftest.$ac_ext
4269cat >>conftest.$ac_ext <<_ACEOF
4270/* end confdefs.h. */
4271#include <sched.h>
4272int
4273main ()
4274{
4275sched_yield ()
4276 ;
4277 return 0;
4278}
4279_ACEOF
4280rm -f conftest.$ac_objext conftest$ac_exeext
4281if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4282 (eval $ac_link) 2>conftest.er1
4283 ac_status=$?
4284 grep -v '^ *+' conftest.er1 >conftest.err
4285 rm -f conftest.er1
4286 cat conftest.err >&5
4287 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4288 (exit $ac_status); } &&
4289 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4290 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4291 (eval $ac_try) 2>&5
4292 ac_status=$?
4293 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4294 (exit $ac_status); }; } &&
4295 { ac_try='test -s conftest$ac_exeext'
4296 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4297 (eval $ac_try) 2>&5
4298 ac_status=$?
4299 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4300 (exit $ac_status); }; }; then
4301 echo "$as_me:$LINENO: result: yes" >&5
4302echo "${ECHO_T}yes" >&6
4303
4304cat >>confdefs.h <<\_ACEOF
4305#define HAVE_SCHED_YIELD 1
4306_ACEOF
4307
4308else
4309 echo "$as_me: failed program was:" >&5
4310sed 's/^/| /' conftest.$ac_ext >&5
4311
4312echo "$as_me:$LINENO: result: no" >&5
4313echo "${ECHO_T}no" >&6
4314fi
4315rm -f conftest.err conftest.$ac_objext \
4316 conftest$ac_exeext conftest.$ac_ext
4317
4102 4318
4103MALLOC_TYPE=S 4319MALLOC_TYPE=S
4104 4320
4105support_addstrings=no
4106support_frills=yes 4321support_frills=yes
4107support_inheritpixmap=no 4322support_inheritpixmap=yes
4108support_tinting=yes 4323support_tinting=yes
4109support_fading=yes 4324support_fading=yes
4110support_keepscrolling=yes 4325support_keepscrolling=yes
4111support_selectionscrolling=yes 4326support_selectionscrolling=yes
4112support_menubar=no 4327support_menubar=no
4120support_scroll_rxvt=yes 4335support_scroll_rxvt=yes
4121support_scroll_next=yes 4336support_scroll_next=yes
4122support_scroll_xterm=yes 4337support_scroll_xterm=yes
4123support_scroll_plain=yes 4338support_scroll_plain=yes
4124support_xim=yes 4339support_xim=yes
4125support_xpm=no 4340support_xpm=yes
4126support_xft=yes 4341support_xft=yes
4127support_unicode3=no 4342support_unicode3=no
4128support_combining=yes 4343support_combining=yes
4129support_8bitctrls=no 4344support_8bitctrls=no
4130support_iso14755=yes 4345support_iso14755=yes
4131support_styles=yes 4346support_styles=yes
4347support_perl=yes
4132codesets=all 4348codesets=all
4133 4349
4134 4350
4135if test "x$enable_shared" = xyes; then 4351if test "x$enable_shared" = xyes; then
4136 4352
4172 support_unicode3=no 4388 support_unicode3=no
4173 support_combining=no 4389 support_combining=no
4174 support_8bitctrls=no 4390 support_8bitctrls=no
4175 support_iso14755=no 4391 support_iso14755=no
4176 support_styles=no 4392 support_styles=no
4393 support_perl=no
4177 codesets= 4394 codesets=
4178 fi 4395 fi
4179 if test x$enableval = xyes; then 4396 if test x$enableval = xyes; then
4180 support_24bit=yes 4397 support_24bit=yes
4181 support_frills=yes 4398 support_frills=yes
4202 support_unicode3=yes 4419 support_unicode3=yes
4203 support_combining=yes 4420 support_combining=yes
4204 #support_8bitctrls=yes 4421 #support_8bitctrls=yes
4205 support_iso14755=yes 4422 support_iso14755=yes
4206 support_styles=yes 4423 support_styles=yes
4424 support_perl=yes
4207 codesets=all 4425 codesets=all
4208 fi 4426 fi
4209 4427
4210fi; 4428fi;
4211 4429
4327 if test x$enableval = xyes -o x$enableval = xno; then 4545 if test x$enableval = xyes -o x$enableval = xno; then
4328 support_scroll_xterm=$enableval 4546 support_scroll_xterm=$enableval
4329 fi 4547 fi
4330fi; 4548fi;
4331 4549
4550# Check whether --enable-perl or --disable-perl was given.
4551if test "${enable_perl+set}" = set; then
4552 enableval="$enable_perl"
4553 if test x$enableval = xyes -o x$enableval = xno; then
4554 support_perl=$enableval
4555 fi
4556fi;
4557
4332# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4558# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4333if test "${enable_plain_scroll+set}" = set; then 4559if test "${enable_plain_scroll+set}" = set; then
4334 enableval="$enable_plain_scroll" 4560 enableval="$enable_plain_scroll"
4335 if test x$enableval = xyes -o x$enableval = xno; then 4561 if test x$enableval = xyes -o x$enableval = xno; then
4336 support_scroll_plain=$enableval 4562 support_scroll_plain=$enableval
4410_ACEOF 4636_ACEOF
4411 4637
4412 fi 4638 fi
4413fi; 4639fi;
4414 4640
4415# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4416if test "${enable_xgetdefault+set}" = set; then
4417 enableval="$enable_xgetdefault"
4418 if test x$enableval = xyes; then
4419
4420cat >>confdefs.h <<\_ACEOF
4421#define USE_XGETDEFAULT 1
4422_ACEOF
4423
4424 fi
4425fi;
4426
4427# Check whether --enable-8bitctrls or --disable-8bitctrls was given. 4641# Check whether --enable-8bitctrls or --disable-8bitctrls was given.
4428if test "${enable_8bitctrls+set}" = set; then 4642if test "${enable_8bitctrls+set}" = set; then
4429 enableval="$enable_8bitctrls" 4643 enableval="$enable_8bitctrls"
4430 if test x$enableval = xyes -o x$enableval = xno; then 4644 if test x$enableval = xyes -o x$enableval = xno; then
4431 support_8bitctrls=$enableval 4645 support_8bitctrls=$enableval
4490_ACEOF 4704_ACEOF
4491 4705
4492 4706
4493RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"` 4707RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"`
4494 4708
4495
4496# Check whether --enable-strings or --disable-strings was given.
4497if test "${enable_strings+set}" = set; then
4498 enableval="$enable_strings"
4499 if test x$enableval = xyes -o x$enableval = xno; then
4500 support_addstrings=$enableval
4501 fi
4502fi;
4503 4709
4504# Check whether --enable-swapscreen or --disable-swapscreen was given. 4710# Check whether --enable-swapscreen or --disable-swapscreen was given.
4505if test "${enable_swapscreen+set}" = set; then 4711if test "${enable_swapscreen+set}" = set; then
4506 enableval="$enable_swapscreen" 4712 enableval="$enable_swapscreen"
4507 if test x$enableval = xno; then 4713 if test x$enableval = xno; then
7079 7285
7080 7286
7081 7287
7082 7288
7083 7289
7290
7291
7084for ac_header in \ 7292for ac_header in \
7085 assert.h \ 7293 assert.h \
7086 fcntl.h \ 7294 fcntl.h \
7087 grp.h \ 7295 grp.h \
7088 libc.h \ 7296 libc.h \
7101 sys/time.h \ 7309 sys/time.h \
7102 utmp.h \ 7310 utmp.h \
7103 utmpx.h \ 7311 utmpx.h \
7104 stdint.h \ 7312 stdint.h \
7105 pty.h \ 7313 pty.h \
7314 util.h \
7315 libutil.h \
7106 wchar.h \ 7316 wchar.h \
7107 cwchar \ 7317 cwchar \
7108 clocale \ 7318 clocale \
7109 7319
7110do 7320do
9974 seteuid \ 10184 seteuid \
9975 setreuid \ 10185 setreuid \
9976 setsid \ 10186 setsid \
9977 setpgrp \ 10187 setpgrp \
9978 setpgid \ 10188 setpgid \
9979 openpty \
9980 _getpty \ 10189 _getpty \
10190 posix_openpt \
9981 grantpt \ 10191 grantpt \
9982 unlockpt \ 10192 unlockpt \
9983 isastream \ 10193 isastream \
9984 on_exit \ 10194 on_exit \
9985 nanosleep \ 10195 nanosleep \
11766#define XIMCB_PROTO_BROKEN 1 11976#define XIMCB_PROTO_BROKEN 1
11767_ACEOF 11977_ACEOF
11768 11978
11769fi 11979fi
11770 11980
11981if test x$rxvt_cv_func_posix_openpt = xno; then
11771echo "$as_me:$LINENO: checking for getpt" >&5 11982 echo "$as_me:$LINENO: checking for openpty" >&5
11772echo $ECHO_N "checking for getpt... $ECHO_C" >&6 11983echo $ECHO_N "checking for openpty... $ECHO_C" >&6
11773if test "${rxvt_cv_func_getpt+set}" = set; then 11984if test "${ac_cv_func_openpty+set}" = set; then
11774 echo $ECHO_N "(cached) $ECHO_C" >&6 11985 echo $ECHO_N "(cached) $ECHO_C" >&6
11775else 11986else
11776 cat >conftest.$ac_ext <<_ACEOF 11987 cat >conftest.$ac_ext <<_ACEOF
11777/* confdefs.h. */ 11988/* confdefs.h. */
11778_ACEOF 11989_ACEOF
11779cat confdefs.h >>conftest.$ac_ext 11990cat confdefs.h >>conftest.$ac_ext
11780cat >>conftest.$ac_ext <<_ACEOF 11991cat >>conftest.$ac_ext <<_ACEOF
11781/* end confdefs.h. */ 11992/* end confdefs.h. */
11782#define _GNU_SOURCE 11993/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
11783#ifdef HAVE_STDLIB_H 11994 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11784# include <cstdlib> 11995#define openpty innocuous_openpty
11996
11997/* System header to define __stub macros and hopefully few prototypes,
11998 which can conflict with char openpty (); below.
11999 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12000 <limits.h> exists even on freestanding compilers. */
12001
12002#ifdef __STDC__
12003# include <limits.h>
12004#else
12005# include <assert.h>
11785#endif 12006#endif
12007
12008#undef openpty
12009
12010/* Override any gcc2 internal prototype to avoid an error. */
12011#ifdef __cplusplus
12012extern "C"
12013{
12014#endif
12015/* We use char because int might match the return type of a gcc2
12016 builtin and then its argument prototype would still apply. */
12017char openpty ();
12018/* The GNU C library defines this for functions which it implements
12019 to always fail with ENOSYS. Some functions are actually named
12020 something starting with __ and the normal name is an alias. */
12021#if defined (__stub_openpty) || defined (__stub___openpty)
12022choke me
12023#else
12024char (*f) () = openpty;
12025#endif
12026#ifdef __cplusplus
12027}
12028#endif
12029
11786int 12030int
11787main () 12031main ()
11788{ 12032{
11789(void)getpt(); 12033return f != openpty;
11790 ; 12034 ;
11791 return 0; 12035 return 0;
11792} 12036}
11793_ACEOF 12037_ACEOF
11794rm -f conftest.$ac_objext conftest$ac_exeext 12038rm -f conftest.$ac_objext conftest$ac_exeext
11810 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12054 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11811 (eval $ac_try) 2>&5 12055 (eval $ac_try) 2>&5
11812 ac_status=$? 12056 ac_status=$?
11813 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12057 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11814 (exit $ac_status); }; }; then 12058 (exit $ac_status); }; }; then
11815 rxvt_cv_func_getpt=yes 12059 ac_cv_func_openpty=yes
11816else 12060else
11817 echo "$as_me: failed program was:" >&5 12061 echo "$as_me: failed program was:" >&5
11818sed 's/^/| /' conftest.$ac_ext >&5 12062sed 's/^/| /' conftest.$ac_ext >&5
11819 12063
11820rxvt_cv_func_getpt=no 12064ac_cv_func_openpty=no
11821fi 12065fi
11822rm -f conftest.err conftest.$ac_objext \ 12066rm -f conftest.err conftest.$ac_objext \
11823 conftest$ac_exeext conftest.$ac_ext 12067 conftest$ac_exeext conftest.$ac_ext
11824fi 12068fi
11825echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12069echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
11826echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12070echo "${ECHO_T}$ac_cv_func_openpty" >&6
11827if test x$rxvt_cv_func_getpt = xyes; then 12071if test $ac_cv_func_openpty = yes; then
11828 12072 :
12073else
12074 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12075echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12076if test "${ac_cv_lib_util_openpty+set}" = set; then
12077 echo $ECHO_N "(cached) $ECHO_C" >&6
12078else
12079 ac_check_lib_save_LIBS=$LIBS
12080LIBS="-lutil $LIBS"
12081cat >conftest.$ac_ext <<_ACEOF
12082/* confdefs.h. */
12083_ACEOF
12084cat confdefs.h >>conftest.$ac_ext
11829cat >>confdefs.h <<\_ACEOF 12085cat >>conftest.$ac_ext <<_ACEOF
11830#define HAVE_GETPT 1 12086/* end confdefs.h. */
12087
12088/* Override any gcc2 internal prototype to avoid an error. */
12089#ifdef __cplusplus
12090extern "C"
12091#endif
12092/* We use char because int might match the return type of a gcc2
12093 builtin and then its argument prototype would still apply. */
12094char openpty ();
12095int
12096main ()
12097{
12098openpty ();
12099 ;
12100 return 0;
12101}
11831_ACEOF 12102_ACEOF
12103rm -f conftest.$ac_objext conftest$ac_exeext
12104if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12105 (eval $ac_link) 2>conftest.er1
12106 ac_status=$?
12107 grep -v '^ *+' conftest.er1 >conftest.err
12108 rm -f conftest.er1
12109 cat conftest.err >&5
12110 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12111 (exit $ac_status); } &&
12112 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12113 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12114 (eval $ac_try) 2>&5
12115 ac_status=$?
12116 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12117 (exit $ac_status); }; } &&
12118 { ac_try='test -s conftest$ac_exeext'
12119 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12120 (eval $ac_try) 2>&5
12121 ac_status=$?
12122 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12123 (exit $ac_status); }; }; then
12124 ac_cv_lib_util_openpty=yes
12125else
12126 echo "$as_me: failed program was:" >&5
12127sed 's/^/| /' conftest.$ac_ext >&5
12128
12129ac_cv_lib_util_openpty=no
12130fi
12131rm -f conftest.err conftest.$ac_objext \
12132 conftest$ac_exeext conftest.$ac_ext
12133LIBS=$ac_check_lib_save_LIBS
12134fi
12135echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12136echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12137if test $ac_cv_lib_util_openpty = yes; then
12138 LIBS="$LIBS -lutil"
12139fi
12140
12141fi
11832 12142
11833fi 12143fi
11834 12144
11835echo "$as_me:$LINENO: checking for pty/tty type" >&5 12145echo "$as_me:$LINENO: checking for pty/tty type" >&5
11836echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12146echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11837if test "${rxvt_cv_ptys+set}" = set; then 12147if test "${rxvt_cv_ptys+set}" = set; then
11838 echo $ECHO_N "(cached) $ECHO_C" >&6 12148 echo $ECHO_N "(cached) $ECHO_C" >&6
11839else 12149else
11840 if test x$ac_cv_func_openpty = xyes; then 12150 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11841 rxvt_cv_ptys=OPENPTY 12151 rxvt_cv_ptys=OPENPTY
12152 else if test x$ac_cv_func_posix_openpt = xyes; then
12153 rxvt_cv_ptys=POSIX
11842 else if test x$ac_cv_func__getpty = xyes; then 12154 else if test x$ac_cv_func__getpty = xyes; then
11843 rxvt_cv_ptys=SGI4 12155 rxvt_cv_ptys=SGI4
11844 else if test -c /dev/ttyp20; then 12156 else if test -c /dev/ttyp20; then
11845 rxvt_cv_ptys=SCO 12157 rxvt_cv_ptys=SCO
11846 else if test -c /dev/ptym/clone; then 12158 else if test -c /dev/ptym/clone; then
11847 rxvt_cv_ptys=HPUX 12159 rxvt_cv_ptys=HPUX
11848 else if test x$rxvt_cv_func_getpt = xyes; then
11849 rxvt_cv_ptys=GLIBC
11850 else if test -c /dev/ptc -a -c /dev/pts; then 12160 else if test -c /dev/ptc -a -c /dev/pts; then
11851 rxvt_cv_ptys=PTC 12161 rxvt_cv_ptys=PTC
11852 else if test -c /dev/ptc -a -d /dev/pts; then 12162 else if test -c /dev/ptc -a -d /dev/pts; then
11853 rxvt_cv_ptys=PTC 12163 rxvt_cv_ptys=PTC
11854 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12164 else if test -c /dev/ptmx -a -c /dev/pts/0; then
11869 12179
11870fi 12180fi
11871echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12181echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
11872echo "${ECHO_T}$rxvt_cv_ptys" >&6 12182echo "${ECHO_T}$rxvt_cv_ptys" >&6
11873 12183
12184if test x$rxvt_cv_ptys = xPOSIX; then
12185
12186cat >>confdefs.h <<\_ACEOF
12187#define PTYS_ARE_POSIX 1
12188_ACEOF
12189
12190fi
11874if test x$rxvt_cv_ptys = xOPENPTY; then 12191if test x$rxvt_cv_ptys = xOPENPTY; then
11875 12192
11876cat >>confdefs.h <<\_ACEOF 12193cat >>confdefs.h <<\_ACEOF
11877#define PTYS_ARE_OPENPTY 1 12194#define PTYS_ARE_OPENPTY 1
11878_ACEOF 12195_ACEOF
11901fi 12218fi
11902if test x$rxvt_cv_ptys = xSGI4; then 12219if test x$rxvt_cv_ptys = xSGI4; then
11903 12220
11904cat >>confdefs.h <<\_ACEOF 12221cat >>confdefs.h <<\_ACEOF
11905#define PTYS_ARE__GETPTY 1 12222#define PTYS_ARE__GETPTY 1
11906_ACEOF
11907
11908fi
11909if test x$rxvt_cv_ptys = xCONVEX; then
11910
11911cat >>confdefs.h <<\_ACEOF
11912#define PTYS_ARE_GETPTY 1
11913_ACEOF 12223_ACEOF
11914 12224
11915fi 12225fi
11916if test x$rxvt_cv_ptys = xGLIBC; then 12226if test x$rxvt_cv_ptys = xGLIBC; then
11917 12227
11956 12266
11957fi 12267fi
11958 12268
11959if test x$support_xft = xyes; then 12269if test x$support_xft = xyes; then
11960 LIBS="$LIBS `pkg-config xft --libs`" 12270 LIBS="$LIBS `pkg-config xft --libs`"
11961 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11962 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12271 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11963 12272
11964 12273
11965for ac_header in X11/Xft/Xft.h 12274for ac_header in X11/Xft/Xft.h
11966do 12275do
12425_ACEOF 12734_ACEOF
12426 ;; 12735 ;;
12427 esac 12736 esac
12428done 12737done
12429 12738
12739IF_PERL=\#
12740if test x$support_perl = xyes; then
12741 # Extract the first word of "perl5", so it can be a program name with args.
12742set dummy perl5; ac_word=$2
12743echo "$as_me:$LINENO: checking for $ac_word" >&5
12744echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12745if test "${ac_cv_path_PERL+set}" = set; then
12746 echo $ECHO_N "(cached) $ECHO_C" >&6
12747else
12748 case $PERL in
12749 [\\/]* | ?:[\\/]*)
12750 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12751 ;;
12752 *)
12753 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12754for as_dir in $PATH
12755do
12756 IFS=$as_save_IFS
12757 test -z "$as_dir" && as_dir=.
12758 for ac_exec_ext in '' $ac_executable_extensions; do
12759 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12760 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12761 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12762 break 2
12763 fi
12764done
12765done
12766
12767 ;;
12768esac
12769fi
12770PERL=$ac_cv_path_PERL
12771
12772if test -n "$PERL"; then
12773 echo "$as_me:$LINENO: result: $PERL" >&5
12774echo "${ECHO_T}$PERL" >&6
12775else
12776 echo "$as_me:$LINENO: result: no" >&5
12777echo "${ECHO_T}no" >&6
12778fi
12779
12780 # Extract the first word of "perl", so it can be a program name with args.
12781set dummy perl; ac_word=$2
12782echo "$as_me:$LINENO: checking for $ac_word" >&5
12783echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12784if test "${ac_cv_path_PERL+set}" = set; then
12785 echo $ECHO_N "(cached) $ECHO_C" >&6
12786else
12787 case $PERL in
12788 [\\/]* | ?:[\\/]*)
12789 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12790 ;;
12791 *)
12792 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12793for as_dir in $PATH
12794do
12795 IFS=$as_save_IFS
12796 test -z "$as_dir" && as_dir=.
12797 for ac_exec_ext in '' $ac_executable_extensions; do
12798 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12799 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12800 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12801 break 2
12802 fi
12803done
12804done
12805
12806 ;;
12807esac
12808fi
12809PERL=$ac_cv_path_PERL
12810
12811if test -n "$PERL"; then
12812 echo "$as_me:$LINENO: result: $PERL" >&5
12813echo "${ECHO_T}$PERL" >&6
12814else
12815 echo "$as_me:$LINENO: result: no" >&5
12816echo "${ECHO_T}no" >&6
12817fi
12818
12819
12820 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12821echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12822 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12823
12824 save_CXXFLAGS="$CXXFLAGS"
12825 save_LIBS="$LIBS"
12826 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12827 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12828 cat >conftest.$ac_ext <<_ACEOF
12829/* confdefs.h. */
12830_ACEOF
12831cat confdefs.h >>conftest.$ac_ext
12832cat >>conftest.$ac_ext <<_ACEOF
12833/* end confdefs.h. */
12834
12835#include <EXTERN.h>
12836#include <perl.h>
12837#include <XSUB.h>
12838
12839int
12840main ()
12841{
12842
12843 PerlInterpreter *perl = perl_alloc ();
12844
12845 ;
12846 return 0;
12847}
12848_ACEOF
12849rm -f conftest.$ac_objext conftest$ac_exeext
12850if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12851 (eval $ac_link) 2>conftest.er1
12852 ac_status=$?
12853 grep -v '^ *+' conftest.er1 >conftest.err
12854 rm -f conftest.er1
12855 cat conftest.err >&5
12856 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12857 (exit $ac_status); } &&
12858 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12859 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12860 (eval $ac_try) 2>&5
12861 ac_status=$?
12862 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12863 (exit $ac_status); }; } &&
12864 { ac_try='test -s conftest$ac_exeext'
12865 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12866 (eval $ac_try) 2>&5
12867 ac_status=$?
12868 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12869 (exit $ac_status); }; }; then
12870 rxvt_perl_link=yes
12871else
12872 echo "$as_me: failed program was:" >&5
12873sed 's/^/| /' conftest.$ac_ext >&5
12874
12875rxvt_perl_link=no
12876fi
12877rm -f conftest.err conftest.$ac_objext \
12878 conftest$ac_exeext conftest.$ac_ext
12879 CXXFLAGS="$save_CXXFLAGS"
12880 LIBS="$save_LIBS"
12881
12882 if test x$rxvt_perl_link = xyes; then
12883 echo "$as_me:$LINENO: result: ok" >&5
12884echo "${ECHO_T}ok" >&6
12885
12886cat >>confdefs.h <<\_ACEOF
12887#define ENABLE_PERL 1
12888_ACEOF
12889
12890 IF_PERL=
12891 PERL_O=rxvtperl.o
12892 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12893 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12894 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12895 else
12896 support_perl=no
12897 echo "$as_me:$LINENO: result: no, unable to link" >&5
12898echo "${ECHO_T}no, unable to link" >&6
12899 fi
12900 else
12901 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12902echo "$as_me: error: no working perl found" >&2;}
12903 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12904 support_perl=no
12905 fi
12906fi
12907
12908
12909
12910
12911
12912
12913
12914if test x$support_perl = xyes; then
12915 support_frills=yes
12916fi
12917
12430 12918
12431CFLAGS=${CFLAGS--O} 12919CFLAGS=${CFLAGS--O}
12432LDFLAGS=${LDFLAGS--O} 12920LDFLAGS=${LDFLAGS--O}
12433 12921
12434CPPFLAGS="$CPPFLAGS" 12922CPPFLAGS="$CPPFLAGS"
12448fi 12936fi
12449 12937
12450 12938
12451 12939
12452 12940
12453
12454if test x$support_addstrings = xno; then
12455
12456cat >>confdefs.h <<\_ACEOF
12457#define NO_STRINGS 1
12458_ACEOF
12459
12460fi
12461 12941
12462MCOMMON=./autoconf/Make.common 12942MCOMMON=./autoconf/Make.common
12463 12943
12464 12944
12465test "$program_prefix" != NONE && 12945test "$program_prefix" != NONE &&
13214s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13694s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13215s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13695s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13216s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13696s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13217s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13697s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13218s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13698s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13699s,@PERL@,$PERL,;t t
13700s,@PERLLIB@,$PERLLIB,;t t
13701s,@PERLFLAGS@,$PERLFLAGS,;t t
13702s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13703s,@IF_PERL@,$IF_PERL,;t t
13704s,@PERL_O@,$PERL_O,;t t
13219s,@DEBUG@,$DEBUG,;t t 13705s,@DEBUG@,$DEBUG,;t t
13220s,@DINCLUDE@,$DINCLUDE,;t t 13706s,@DINCLUDE@,$DINCLUDE,;t t
13221s,@DLIB@,$DLIB,;t t 13707s,@DLIB@,$DLIB,;t t
13222s,@include_stdint_h@,$include_stdint_h,;t t 13708s,@include_stdint_h@,$include_stdint_h,;t t
13223s,@include_stdarg_h@,$include_stdarg_h,;t t 13709s,@include_stdarg_h@,$include_stdarg_h,;t t
13764 utmp file: $rxvt_cv_path_utmp 14250 utmp file: $rxvt_cv_path_utmp
13765 utmpx file: $rxvt_cv_path_utmpx 14251 utmpx file: $rxvt_cv_path_utmpx
13766 wtmp file: $rxvt_cv_path_wtmp 14252 wtmp file: $rxvt_cv_path_wtmp
13767 wtmpx file: $rxvt_cv_path_wtmpx 14253 wtmpx file: $rxvt_cv_path_wtmpx
13768 lastlog file: $rxvt_cv_path_lastlog 14254 lastlog file: $rxvt_cv_path_lastlog
13769 ttys/ttytab file: $rxvt_cv_path_ttytab" 14255 ttys/ttytab file: $rxvt_cv_path_ttytab
14256 embedded perl: $support_perl"
13770 echo 14257 echo
13771fi 14258fi
13772if test x$term != x; then 14259if test x$term != x; then
13773 echo " set TERM to: $term" 14260 echo " set TERM to: $term"
13774fi 14261fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines